<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Admonition :: Testsite - experimenting with Antora</title>
    <link rel="canonical" href="https://digdir.gitlab.io/test/antora-demo/home/component-a/1.5.6/admonition.html">
    <meta name="generator" content="Antora 2.2.0">
    <link rel="stylesheet" href="../../_/css/site.css">
  </head>
  <body class="article">
<header class="header">
  <nav class="navbar">
    <div class="navbar-brand">
      <a class="navbar-item" href="https://digdir.gitlab.io/test/antora-demo/home">Testsite - experimenting with Antora</a>
      <button class="navbar-burger" data-target="topbar-nav">
        <span></span>
        <span></span>
        <span></span>
      </button>
    </div>
    <div id="topbar-nav" class="navbar-menu">
      <div class="navbar-end">
        <div class="navbar-item has-dropdown is-hoverable">
          <a class="navbar-link" href="#">Valg</a>
          <div class="navbar-dropdown">
            <a class="navbar-item" href="#">Rolle</a>
            <a class="navbar-item" href="#">Preferanser</a>
            <a class="navbar-item" href="#">Språk</a>
          </div>
        </div>
        <div class="navbar-item has-dropdown is-hoverable">
          <a class="navbar-link" href="#">Ressurser</a>
          <div class="navbar-dropdown">
            <a class="navbar-item" href="#">Verktøy</a>
            <a class="navbar-item" href="#">Kunnskapsbibliotek</a>
          </div>
        </div>	
        <div class="navbar-item has-dropdown is-hoverable">
          <a class="navbar-link" href="#">Hjelp</a>
          <div class="navbar-dropdown">
            <a class="navbar-item" href="#">Om NEAR-NO</a>
            <a class="navbar-item" href="#">FAQ</a>
          </div>
        </div>
		<a id="twitter-link" class="navbar-item" href="https://twitter.com/janakaSteph" target="_blank">
          <i class="fab fa-twitter"></i>
        </a>
      </div>
    </div>
  </nav>
</header>
<div class="body">
<div class="nav-container" data-component="component-a" data-version="1.5.6">
  <aside class="nav">
    <div class="panels">
<div class="nav-panel-menu is-active" data-panel="menu">
  <nav class="nav-menu">
    <h3 class="title"><a href="inline-text-formatting.html">Component A</a></h3>
<ul class="nav-list">
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="inline-text-formatting.html">Basic Inline Text Formatting</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="special-characters.html">Special Characters &amp; Symbols</a>
  </li>
  <li class="nav-item is-current-page" data-depth="1">
    <a class="nav-link" href="admonition.html">Admonition</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="sidebar.html">Sidebar</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="ui-macros.html">UI Macros</a>
  </li>
  <li class="nav-item" data-depth="1">
    <button class="nav-item-toggle"></button>
    <span class="nav-text">Lists</span>
<ul class="nav-list">
  <li class="nav-item" data-depth="2">
    <a class="nav-link" href="lists/ordered-list.html">Ordered List</a>
  </li>
  <li class="nav-item" data-depth="2">
    <a class="nav-link" href="lists/unordered-list.html">Unordered List</a>
  </li>
</ul>
  </li>
</ul>
  </li>
</ul>
  </nav>
</div>
<div class="nav-panel-explore" data-panel="explore">
  <div class="context">
    <span class="title">Component A</span>
    <span class="version">1.5.6</span>
  </div>
  <ul class="components">
    <li class="component is-current">
      <span class="title">Component A</span>
      <ul class="versions">
        <li class="version is-current is-latest">
          <a href="inline-text-formatting.html">1.5.6</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <span class="title">Component B</span>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../component-b/2.0/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <span class="title">Tools</span>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../tools/siste/index.html">siste</a>
        </li>
        <li class="version">
          <a href="../../tools/2.0/index.html">2.0</a>
        </li>
        <li class="version">
          <a href="../../tools/1.0/index.html">1.0</a>
        </li>
      </ul>
    </li>
  </ul>
</div>
    </div>
  </aside>
</div>
<main>
<div class="toolbar" role="navigation">
<button class="nav-toggle"></button>
  <a href="../../tools/siste/index.html" class="home-link"></a>
<nav class="breadcrumbs" aria-label="breadcrumbs">
  <ul>
    <li><a href="inline-text-formatting.html">Component A</a></li>
    <li><a href="admonition.html">Admonition</a></li>
  </ul>
</nav>
  <div class="edit-this-page"><a href="https://gitlab.com/digdir/test/antora-demo/demo-docs-component-a/edit/master/modules/ROOT/pages/admonition.adoc">Rediger kilde</a></div>
  </div>
<article class="doc"><a name="section-top"></a>
<h1 class="page">Admonition</h1>
<div class="sect1">
<h2 id="admonition-styles"><a class="anchor" href="#admonition-styles"></a>Admonition styles</h2>
<div class="sectionbody">
<div class="paragraph">
<p>An admonition, also known as a notice, helps draw attention to a line or block of text with a special label or icon.</p>
</div>
<div class="paragraph">
<p>Asciidoctor comes with five built-in styles.</p>
</div>
<div class="ulist">
<ul>
<li>
<p>NOTE</p>
</li>
<li>
<p>TIP</p>
</li>
<li>
<p>IMPORTANT</p>
</li>
<li>
<p>CAUTION</p>
</li>
<li>
<p>WARNING</p>
</li>
</ul>
</div>
<div class="paragraph">
<p><mark>In addition&#8230;&#8203; !</mark></p>
</div>
</div>
</div>
<div class="sect1">
<h2 id="basic-admonition"><a class="anchor" href="#basic-admonition"></a>Basic admonition</h2>
<div class="sectionbody">
<div class="listingblock">
<div class="title">Basic admonitions</div>
<div class="content">
<pre class="highlightjs highlight"><code class="language-asciidoc hljs" data-lang="asciidoc">CAUTION: Don't stick forks in electric sockets.

TIP: After someone sticks a fork in a socket, you'll need to reset the circuit in the breaker box in the dark and scary basement.

WARNING: Never go into the basement.

IMPORTANT: A monster lives in the basement.

NOTE: If you go into the basement, see if you can find Kenny's orange parka.</code></pre>
</div>
</div>
<div class="admonitionblock caution">
<table>
<tr>
<td class="icon">
<i class="fa icon-caution" title="Caution"></i>
</td>
<td class="content">
Don&#8217;t stick forks in electric sockets.
</td>
</tr>
</table>
</div>
<div class="admonitionblock tip">
<table>
<tr>
<td class="icon">
<i class="fa icon-tip" title="Tip"></i>
</td>
<td class="content">
After someone sticks a fork in a socket, you&#8217;ll need to reset the circuit in the breaker box in the dark and scary basement.
</td>
</tr>
</table>
</div>
<div class="admonitionblock warning">
<table>
<tr>
<td class="icon">
<i class="fa icon-warning" title="Warning"></i>
</td>
<td class="content">
Never go into the basement.
</td>
</tr>
</table>
</div>
<div class="admonitionblock important">
<table>
<tr>
<td class="icon">
<i class="fa icon-important" title="Important"></i>
</td>
<td class="content">
A monster lives in the basement.
</td>
</tr>
</table>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
If you go into the basement, see if you can find Kenny&#8217;s orange parka.
</td>
</tr>
</table>
</div>
</div>
</div>
<div class="sect1">
<h2 id="complex-admonition"><a class="anchor" href="#complex-admonition"></a>Complex admonition</h2>
<div class="sectionbody">
<div class="listingblock">
<div class="title">Example block masquerading as an admonition</div>
<div class="content">
<pre class="highlightjs highlight"><code class="language-asciidoc hljs" data-lang="asciidoc">[IMPORTANT]
.Optional Title
====
Use an example block to create an admonition that contains complex content, such as (but not limited to):

* Lists
* Multiple paragraphs
* Source code
* Images
====</code></pre>
</div>
</div>
<div class="admonitionblock important">
<table>
<tr>
<td class="icon">
<i class="fa icon-important" title="Important"></i>
</td>
<td class="content">
<div class="title">Optional Title</div>
<div class="paragraph">
<p>Use an example block to create an admonition that contains complex content, such as (but not limited to):</p>
</div>
<div class="ulist">
<ul>
<li>
<p>Lists</p>
</li>
<li>
<p>Multiple paragraphs</p>
</li>
<li>
<p>Source code</p>
</li>
<li>
<p>Images</p>
</li>
</ul>
</div>
</td>
</tr>
</table>
</div>
</div>
</div>
</article>
<aside class="article-aside hidden" role="navigation">
  <h3 class="toc-title">Innhold</h3>
  <div id="article-toc"></div>
</aside></main>
</div>
<footer class="footer">
  <p>This page was built using the Antora default UI.</p>
  <p>The source code for this UI is licensed under the terms of the MPL-2.0 license.</p>
</footer>
<script src="https://cdnjs.cloudflare.com/ajax/libs/tocbot/4.1.1/tocbot.min.js"></script>
<script src="../../_/js/site.js"></script>
<script src="../../_/js/vendor/highlight.js"></script>
<script>hljs.initHighlighting()</script>
<script>
  tocbot.init( {
                  tocSelector: '#article-toc',
                  contentSelector: 'article',
                  headingSelector: 'h2, h3, h4, h5, h6',
                  collapseDepth: 6,
                  positionFixedSelector: '#article-toc',
                  scrollSmooth: false
                } );
  var tocList = document.getElementById( 'article-toc' ).getElementsByClassName( 'toc-list' );
  if ( tocList && tocList.length > 0 && tocList[0].childNodes.length > 0 ) {
    document.getElementById( 'article-toc' ).parentNode.classList.remove( 'hidden' );
  }
</script>  </body>
</html>
